Update object
PUT
/objects/{id}Authorization
AuthorizationOAuth2 access token · headerrequiredScopes:
api:writeor
AuthorizationBearer token (JWT) · headerrequiredPath parameters
idstringrequiredQuery parameters
fieldsToReturnstringComma-separated list of top-level response fields to return. Overrides the endpoint compact default unless responseShape=full is used.
responseShapestringAdvanced override. Omit for the endpoint compact default. Use full only when you need the complete endpoint response, including nested fields that are not selectable with fieldsToReturn.
Allowed:
compactfullHeader parameters
LT-Response-ShapestringAdvanced override. Set to full only when you need the complete endpoint response, including nested fields that are not selectable with fieldsToReturn.
Allowed:
fullRequest body
requiredapplication/jsoncustomFieldsobjectCustom field values keyed by field id
externalIdobject | nullnamestringorganizationIdobject | nullprojectIdobject | nullstatusIdstringStatus UUID (must belong to the object type)
tagsstring[]Responses
200
createdAtstringrequiredcustomFieldsobjectrequirededitedAtstringrequiredexternalIdobject | nullrequiredidstringrequirednamestringrequiredobjectTypeObjectTypeSummaryDtorequiredShow propertiesHide properties
iconobject | nullrequiredidstringrequirednamestringrequiredslugstring | nullrequiredorganizationobject | nullrequiredShow propertiesHide properties
idstringrequirednamestringrequiredshortNamestringrequiredorganizationIdobject | nullrequiredprojectobject | nullrequiredShow propertiesHide properties
idstringrequirednamestringrequiredshortNumbernumberrequiredprojectIdobject | nullrequiredstatusObjectStatusSummaryDtorequiredShow propertiesHide properties
colorstringrequiredidstringrequirednamestringrequiredtagsstring[]required401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X PUT "https://leadtime.app/api/public/objects/string" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"customFields": {},
"externalId": {},
"name": "string",
"organizationId": {},
"projectId": {},
"statusId": "string",
"tags": [
"string"
]
}'const response = await fetch("https://leadtime.app/api/public/objects/string", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"customFields": {},
"externalId": {},
"name": "string",
"organizationId": {},
"projectId": {},
"statusId": "string",
"tags": [
"string"
]
})
});import requests
response = requests.put(
"https://leadtime.app/api/public/objects/string",
headers={
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
},
json={
"customFields": {},
"externalId": {},
"name": "string",
"organizationId": {},
"projectId": {},
"statusId": "string",
"tags": [
"string"
]
},
)Response
{
"createdAt": "string",
"customFields": {},
"editedAt": "string",
"externalId": {},
"id": "string",
"name": "string",
"objectType": {
"icon": {},
"id": "string",
"name": "string",
"slug": "string"
},
"organization": {
"id": "string",
"name": "string",
"shortName": "string"
},
"organizationId": {},
"project": {
"id": "string",
"name": "string",
"shortNumber": 0
},
"projectId": {},
"status": {
"color": "string",
"id": "string",
"name": "string"
},
"tags": [
"string"
]
}Unauthorized - Invalid or missing authentication token
Forbidden - Insufficient API scopes or permissions